| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleBuiltinEmitterCone Struct Reference
[Mesh plugins]

Inheritance diagram for iParticleBuiltinEmitterCone:

[legend]
List of all members.

## Public Member Functions
virtual float | GetConeAngle () const =0
| Get cone angle, angle between center line and cone surface (in radians).
virtual const csVector3 & | GetExtent () const =0
| Get cone extent vector (from center to end-point).
virtual void | SetConeAngle (float angle)=0
| Set cone angle, angle between center line and cone surface (in radians) Range: [0, Pi/2).
virtual void | SetExtent (const csVector3 &extent)=0
| Set cone extent vector (from center to end-point).

## Detailed Description

Definition at line 586 of file particles.h.

## Member Function Documentation

virtual float iParticleBuiltinEmitterCone::GetConeAngle | ( |  | ) | const`[pure virtual]`

Get cone angle, angle between center line and cone surface (in radians).

virtual const csVector3& iParticleBuiltinEmitterCone::GetExtent | ( |  | ) | const`[pure virtual]`

Get cone extent vector (from center to end-point).

virtual void iParticleBuiltinEmitterCone::SetConeAngle | ( | float | angle | ) | `[pure virtual]`

Set cone angle, angle between center line and cone surface (in radians) Range: [0, Pi/2).

virtual void iParticleBuiltinEmitterCone::SetExtent | ( | const csVector3 & | extent | ) | `[pure virtual]`

Set cone extent vector (from center to end-point).

The documentation for this struct was generated from the following file:

- imesh/particles.h